Hooks:PostHook(PlayerStandard, "_start_action_melee", "ZdannHUD_StartMelee", function(self)
	local melee_id = managers.blackmarket:equipped_melee_weapon()
	local melee_name = managers.localization:text(tweak_data.blackmarket.melee_weapons[melee_id].name_id) or "melee weapon"
	if melee_id ~= "weapon" then
		managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " took out their " .. melee_name .. ".", Color('FF0000'))
	end
end)

Hooks:PostHook(PlayerStandard, "_do_action_melee", "ZdannHUD_DoActionMelee", function(self)
	local melee_id = managers.blackmarket:equipped_melee_weapon()
	local melee_name = managers.localization:text(tweak_data.blackmarket.melee_weapons[melee_id].name_id) or "melee weapon"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " attacked with their " .. melee_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_charging_weapon", "ZdannHUD_StartChargeWeapon", function(self)
	local weap_id = self._ext_inventory:equipped_unit():base():get_name_id()
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(weap_id) or "weapon"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " started charging their " .. weap_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_unequip_weapon", "ZdannHUD_StartUnequipWeapon", function(self)
	local weap_id = self._ext_inventory:equipped_unit():base():get_name_id()
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(weap_id) or "weapon"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " unequipped their " .. weap_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_equip_weapon", "ZdannHUD_StartEquipWeapon", function(self)
	local weap_id = self._ext_inventory:equipped_unit():base():get_name_id()
	local weap_name = managers.weapon_factory:get_weapon_name_by_weapon_id(weap_id) or "weapon"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " equipped their " .. weap_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_throw_grenade", "ZdannHUD_StartThrowGrenade", function(self)
	local grenade_id = managers.blackmarket:equipped_grenade()
	local weap_name = managers.localization:text(tweak_data.blackmarket.projectiles[grenade_id].name_id) or "throwable"
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " started to throw their " .. weap_name .. ".", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_jump", "ZdannHUD_Jump", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " jumped.", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_start_action_ducking", "ZdannHUD_StartDucking", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " crouched.", Color('FF0000'))
end)

Hooks:PostHook(PlayerStandard, "_end_action_ducking", "ZdannHUD_StopDucking", function(self)
	managers.chat:_receive_message(ChatManager.GAME,"ZdannHUD", managers.network.account:username() .. " stood up.", Color('FF0000'))
end)